OGRE: Ogre::GLXContext Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::GLXContext Class Reference

`#include <OgreGLXContext.h>`

Inheritance diagram for Ogre::GLXContext:
[legend]

## Public Member Functions
| GLXContext (GLXGLSupport *glsupport, ::GLXFBConfig fbconfig, ::GLXDrawable drawable, ::GLXContext context=0)
virtual | ~GLXContext ()
::GLXFBConfig | _getFbConfig (void) const
GL3PlusContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. More...
virtual void | endCurrent ()
| This is called before another context is made current. More...
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context. More...
virtual void | setCurrent ()
| Enable the context. More...
void | setInitialized ()

## Public Attributes
::GLXContext | mContext
::GLXDrawable | mDrawable

## Constructor & Destructor Documentation

## ◆ GLXContext()

Ogre::GLXContext::GLXContext | ( | GLXGLSupport * | glsupport,
|  | ::GLXFBConfig | fbconfig,
|  | ::GLXDrawable | drawable,
|  | ::GLXContext | context = `0`
| ) |  |

## ◆ ~GLXContext()

virtual Ogre::GLXContext::~GLXContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _getFbConfig()

::GLXFBConfig Ogre::GLXContext::_getFbConfig | ( | void |  | ) | const
| inline

## ◆ clone()

GL3PlusContext* Ogre::GLXContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

## ◆ endCurrent()

virtual void Ogre::GLXContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ getInitialized()

bool Ogre::GL3PlusContext::getInitialized | ( |  | ) |
| inlineinherited

## ◆ releaseContext()

virtual void Ogre::GL3PlusContext::releaseContext | ( |  | ) |
| inlinevirtualinherited

Release the render context.

Reimplemented in Ogre::Win32Context.

## ◆ setCurrent()

virtual void Ogre::GLXContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

## ◆ setInitialized()

void Ogre::GL3PlusContext::setInitialized | ( |  | ) |
| inlineinherited

## Member Data Documentation

## ◆ mContext

::GLXContext Ogre::GLXContext::mContext

## ◆ mDrawable

::GLXDrawable Ogre::GLXContext::mDrawable

The documentation for this class was generated from the following file:

- OgreGLXContext.h